> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1payment methods



## OpenAPI

````yaml /api-reference/openapi.json post /v1/payment-methods
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/payment-methods:
    post:
      tags:
        - PaymentMethods
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PaymentMethodsPaymentMethodCardCreate'
          text/json:
            schema:
              $ref: '#/components/schemas/PaymentMethodsPaymentMethodCardCreate'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PaymentMethodsPaymentMethodCardCreate'
      responses:
        '200':
          description: OK
components:
  schemas:
    PaymentMethodsPaymentMethodCardCreate:
      type: object
      properties:
        customer:
          type: string
          nullable: true
        paymentMethod:
          type: string
          nullable: true
        setupIntent:
          type: string
          nullable: true
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
      additionalProperties: false

````